Bug 238071 - graphics/gimp-app: remove dependency on libunwind
Summary: graphics/gimp-app: remove dependency on libunwind
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-23 12:20 UTC by Piotr Kubaj
Modified: 2019-06-14 07:11 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
patch (543 bytes, text/plain)
2019-05-23 12:20 UTC, Piotr Kubaj
no flags Details
v2 (605 bytes, patch)
2019-05-25 11:09 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (gnome)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-05-23 12:20:16 UTC
Created attachment 204565 [details]
patch

Dependency on libunwind makes this port unavailable on powerpc* platforms. I tested that it builds fine without libunwind.
Comment 1 Ting-Wei Lan 2019-05-25 04:31:37 UTC
libunwind is an optional dependency, so it should be better to make it optional instead of removing it entirely.
Comment 2 Piotr Kubaj freebsd_committer 2019-05-25 11:09:43 UTC
Created attachment 204602 [details]
v2

This adds the dependency on libunwind on aarch64, amd64 and i386 (architectures that libunwind works on).

Is that ok?
Comment 3 Ting-Wei Lan 2019-05-25 17:05:32 UTC
Thanks, it looks better now, but I am not the maintainer.
Comment 4 commit-hook freebsd_committer 2019-06-14 07:11:20 UTC
A commit references this bug:

Author: pkubaj
Date: Fri Jun 14 07:10:49 UTC 2019
New revision: 504165
URL: https://svnweb.freebsd.org/changeset/ports/504165

Log:
  graphics/gimp-app: fix build on architectures other than aarch64, amd64, i386

  libunwind is not available on those.

  PR:		238071
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D20614

Changes:
  head/graphics/gimp-app/Makefile